/[gentoo-x86]/dev-ruby/activerecord-deprecated_finders/activerecord-deprecated_finders-1.0.3.ebuild
Gentoo

Contents of /dev-ruby/activerecord-deprecated_finders/activerecord-deprecated_finders-1.0.3.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.8 - (show annotations) (download)
Mon Jul 6 10:11:06 2015 UTC (4 years, 3 months ago) by mrueg
Branch: MAIN
CVS Tags: HEAD
Changes since 1.7: +1 -1 lines
FILE REMOVED
Remove old. Bump EAPI.

(Portage version: 2.2.20/cvs/Linux x86_64, signed Manifest commit with key )

1 # Copyright 1999-2014 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: /var/cvsroot/gentoo-x86/dev-ruby/activerecord-deprecated_finders/activerecord-deprecated_finders-1.0.3.ebuild,v 1.7 2014/12/27 17:30:27 graaff Exp $
4
5 EAPI=4
6 USE_RUBY="ruby19 ruby20 ruby21"
7
8 # this is not null so that the dependencies will actually be filled
9 RUBY_FAKEGEM_TASK_TEST="test"
10
11 RUBY_FAKEGEM_TASK_DOC=""
12 RUBY_FAKEGEM_EXTRADOC="README.md"
13
14 inherit ruby-fakegem versionator
15
16 DESCRIPTION="This gem will be used to extract and deprecate old-style finder option hashes in Active Record"
17 HOMEPAGE="https://github.com/rails"
18 SLOT="$(get_version_component_range 1-2)"
19
20 LICENSE="MIT"
21
22 KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
23 IUSE=""
24
25 ruby_add_bdepend "test? (
26 dev-ruby/bundler
27 dev-ruby/activerecord:4.0
28 >=dev-ruby/minitest-3
29 >=dev-ruby/sqlite3-1.3 )"
30
31 all_ruby_prepare() {
32 # The code is only compatible with Rails 4.0.
33 sed -i -e 's/< 5/< 4.1/' Gemfile || die
34 }

  ViewVC Help
Powered by ViewVC 1.1.20